Update security deployment

Updates an existing security deployment configuration.

Request

PUT /api/v1/platform/configuration/security/deployment

Request body

(SecurityDeploymentUpdateRequest) (required) The update request

Responses

200

(IdResponse) The security deployment was successfully updated

Headers

x-cloud-resource-created (string)
The date-time when the resource was created (ISO format relative to UTC)
x-cloud-resource-last-modified (string)
The date-time when the resource was last modified (ISO format relative to UTC)
x-cloud-resource-version (string)
The resource version, which is used to avoid update conflicts with concurrent operations
404

(BasicFailedReply) The security deployment was not found. (code: security_deployment.not_found)

Headers

x-cloud-error-codes (string; allowed values: [security_deployment.not_found])
The error codes associated with the response
409

(BasicFailedReply) * There is a version conflict. (code: security_deployment.version_conflict) * There is a version conflict. (code: security_deployment.already_exists)

Headers

x-cloud-error-codes (string; allowed values: [security_deployment.version_conflict, security_deployment.already_exists])
The error codes associated with the response
449

(BasicFailedReply) Elevated permissions are required. (code: root.unauthorized.rbac.elevated_permissions_required)

Headers

x-cloud-error-codes (string; allowed values: [root.unauthorized.rbac.elevated_permissions_required])
The error codes associated with the response

To perform this operation, you must be authenticated by means of one of the following methods: apiKey, basicAuth.

Request example

curl -XPUT https://{{hostname}}/api/v1/platform/configuration/security/deployment \
-H "Authorization: ApiKey $ECE_API_KEY" \
-H 'Content-Type: application/json' \
-d '
{
   "topology" : {
      "size" : {
         "resource" : "string",
         "value" : 0
      },
      "zone_count" : 0
   },
   "version" : "string"
}
'